Syncfusion Grid controls for WPF provide data grid, tree grid, multicolumn drop-down, and data pager controls to display and perform data operations. This package contains the following Syncfusion controls for WPF.

## List of Controls
* [DataGrid](https://www.syncfusion.com/wpf-controls/datagrid?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)
* [TreeGrid](https://www.syncfusion.com/wpf-controls/treegrid?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)
* [Multi Column DropDown](https://www.syncfusion.com/wpf-controls/multi-column-dropdown?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)

## DataGrid

The WPF DataGrid control is used for efficiently displaying and manipulating tabular data. Its rich feature set includes functionalities like data binding, editing, sorting, filtering, grouping, and exporting to Excel and PDF file formats. It has also been optimized for working with millions of records, as well as handling high-frequency real-time updates.

### Key features

* Data binding – Supports to bind different types of data sources.
* Selection – Support for row and also cell selection.
* Editing – Interactive support to edit with different column types.
* Columns – Support for various column types including unbound columns.
* Sorting – Interactive support to sort the data in SfDataGrid.
* Grouping – Interactive support to group the data in SfDataGrid.
* Summaries – Extensive support to show concise information about the individual data columns or groups of rows.
* Filtering – Interactive support for filtering data as like in Excel.
* Data validation – Support to validate the data on errors.
* Data virtualization – Support for different modes of data virtualization such as paging, incremental loading.
* Master-Detail View – Support to display relational data using hierarchies.
* Printing and Exporting – Support to print and also export the data to Excel, PDF.
* Styling – Extensive support for customizing styles of cells and rows in SfDataGrid.
* Stacked Headers – Extensive support to show multiple headers called stacked headers.
* Unbound rows – Support to display unbound rows.
* Touch support – Complete support for resizing, drag-drop column, sorting, filtering, grouping and etc in touch devices.

## TreeGrid

The WPF TreeGrid control is a data-oriented control that displays self-relational data in a tree structure user interface like multicolumn treeview. The data can be loaded on demand. You can move items between parent nodes by using the built-in row drag-and-drop functionality. Its rich feature set includes editing with different column types, selection, and node selection with check boxes, sorting, and filtering.

## Multi Column DropDown

The WPF Multi Column DropDown Control (Multi Column ComboBox) displays multiple columns in a dropdown. The Syncfusion DataGrid control is embedded for a rich user interface. Users can define the columns in a dropdown as required. The control’s rich feature set includes autocompletion, filtering, sorting, and dropdown customization.

### Key features

* Data binding – Supports to bind different types of data sources.
* Columns – Support for various column types.
* Editing – Support for editing and autocomplete.
* Selection – Support for single and also multi selection.
* Filtering – Support for Case sensitive filtering and filtering delay.
* Styling – Support for customizing styles of popup.

## Related links
[Learn More about WPF UI Controls](https://www.syncfusion.com/wpf-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)

[Documentation](https://help.syncfusion.com/wpf/overview?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)

[Release History](https://help.syncfusion.com/wpf/release-notes/v19.4.0.47?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)

[Online Demos](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)

[Pricing](https://www.syncfusion.com/sales/products/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 26,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1600+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

		
This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Grid%20WPF-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-grid-nuget) | Toll Free: 1-888-9 DOTNET


   